<?php
session_start();
$activePage = 'User'; 

include("../master.php");
include("../elements/functions.php");
if (isset($_SESSION['token'])) {
    $token = $_SESSION['token'];

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        
        //left -API fields -Right :input fields//
        $data = [
           // "pid" => $_POST['pid'],
            "firstname" =>  $_POST['firstname'],
            "lastname" =>  $_POST['lastname'],
            "email" =>  $_POST['email'],
            "custom_field_1" => $_POST['designation'],
            "custom_field_2" => $_POST['department'],
            "telephone" =>  $_POST['telephone']
        ];
        $id =$_SESSION["PID_TEST"];  //from the user_details_function page we re use this for every functionality.//

        //----------------------------API CALL--------------------//
        $jsonFilePath = __DIR__ . '/../urls/api_endpoints.json';
        $jsonData = file_get_contents($jsonFilePath);
        $endpoints = json_decode($jsonData, true);
        $url = $endpoints['delete_user'] . $id;
       //----------------------- ENDS HERE-------------------------//


       
        $response =  make_patch_request($url, $data);

      
    


      
        if ($response === FALSE) {
            $response = json_encode(['status' => 'error', 'message' => 'An error occurred']);
        }

        $response_data = json_decode($response, true);

        if ($response_data['status'] === 200) {
            //echo '<script>window.location.href = "../user/userlist.php";</script>';
            $_SESSION['message']="User Updated Successfully $id";
            $redirect_page="../user/userlist.php";
            

        } elseif ($response_data['status'] === 401) {
            $_SESSION['message'] = 'User not Updated ';
            $redirect_page="../user/user_edit.php";
        }
        else{
            $_SESSION['message'] = 'User not Updated';
            $redirect_page="../user/userlist.php";
        }
        } else {
        header('Location: ../index.php');
        exit();
        }
    }
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create User</title>
    <link rel="stylesheet" href="../css/new_popup.css" type="text/css">
</head>
<body>
    <div id="popup" class="popup">
        <div class="popup-content">
            <p id="popup-message"></p>
        </div>
    </div>
    
    <script>
        <?php if (isset($_SESSION['message'])): ?>
            var popup = document.getElementById("popup");
            var popupMessage = document.getElementById("popup-message");
            popupMessage.textContent = "<?php echo $_SESSION['message']; ?>";
            popup.style.display = "block";
            setTimeout(function() {
                popup.style.display = "none";
                window.location.href = "<?php echo $redirect_page; ?>";// Redirect after 3 seconds
            }, 1000); // Automatically close the popup after 3 seconds
            
           
            <?php unset($_SESSION['message']); // Clear the message after displaying ?>
           
        <?php endif; ?>
    </script>
</body>
</html>
